import React from 'react';
import { ThemeProvider, ThemeContext } from 'styled-components';
import { themeProps, clutchd } from '../themed/themes';
import { getTheme } from '../themed/utils';

var propTypes = {
  theme: themeProps
};
var defaultProps = {
  theme: clutchd.theme
};

/**
 * The `Themed` component is simply a modified ThemeProvider from styled-components.  This component comes will all the default stylings of @clutchd/ui.
 */
var Themed = function Themed(_ref) {
  var theme = _ref.theme,
      children = _ref.children;

  var currentTheme = getTheme(ThemeContext, theme);

  return React.createElement(
    ThemeProvider,
    { theme: currentTheme },
    React.createElement(
      React.Fragment,
      null,
      children
    )
  );
};

Themed.propTypes = process.env.NODE_ENV !== "production" ? propTypes : {};
Themed.defaultProps = defaultProps;

export default Themed;