'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _themes = require('../themed/themes');

var _utils = require('../themed/utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var propTypes = {
  theme: _themes.themeProps
};
var defaultProps = {
  theme: _themes.clutchd.theme
};

/**
 * The `Themed` component is simply a modified ThemeProvider from styled-components.  This component comes will all the default stylings of @clutchd/ui.
 */
var Themed = function Themed(_ref) {
  var theme = _ref.theme,
      children = _ref.children;

  var currentTheme = (0, _utils.getTheme)(_styledComponents.ThemeContext, theme);

  return _react2.default.createElement(
    _styledComponents.ThemeProvider,
    { theme: currentTheme },
    _react2.default.createElement(
      _react2.default.Fragment,
      null,
      children
    )
  );
};

Themed.propTypes = process.env.NODE_ENV !== "production" ? propTypes : {};
Themed.defaultProps = defaultProps;

exports.default = Themed;
module.exports = exports['default'];